{
  "codeName" : "Usr08126702EditView_Form",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Usr08126702EditView_Form.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "logicName" : "重复器表单_表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "field2",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "field",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    }
  }, {
    "id" : "formitem1",
    "dataType" : 25
  }, {
    "id" : "formitem2",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "formitem3",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "field9",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD9",
      "codeName" : "Field9"
    }
  }, {
    "id" : "field25",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD25",
      "codeName" : "Field25"
    }
  }, {
    "id" : "field14",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD14",
      "codeName" : "Field14"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD11",
      "codeName" : "Field11"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD12",
      "codeName" : "Field12"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "codeName" : "tabpanel1",
      "detailStyle" : "STYLE2",
      "detailType" : "TABPANEL",
      "name" : "tabpanel1",
      "getPSDEFormTabPages" : [ {
        "caption" : "测试1",
        "codeName" : "tabpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "TABPAGE",
        "name" : "tabpage1",
        "getPSDEFormDetails" : [ {
          "caption" : "属性2",
          "codeName" : "field2",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field2",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD2",
            "codeName" : "Field2"
          },
          "getPSEditor" : {
            "editorParams" : {
              "PROMPT" : "// view，ctrl，uilogic",
              "CODETIPS" : "{\"view\":{\"_info\":{\"label\":\"view\",\"kind\":5,\"insertText\":\"view\",\"preselect\":true},\"engines\":{\"_info\":{\"label\":\"engines\",\"kind\":5,\"insertText\":\"engines\",\"preselect\":true},\"engines1\":{\"_info\":{\"label\":\"engines1\",\"kind\":5,\"insertText\":\"engines1\",\"preselect\":true},\"engines11\":{\"_info\":{\"label\":\"engines11\",\"kind\":5,\"insertText\":\"engines11\",\"preselect\":true},\"engines111\":{\"_info\":{\"label\":\"engines111\",\"kind\":5,\"insertText\":\"engines111\",\"preselect\":true}},\"engines112\":{\"_info\":{\"label\":\"engines112\",\"kind\":5,\"insertText\":\"engines112\",\"preselect\":true}}}},\"engines2\":{\"_info\":{\"label\":\"engines2\",\"kind\":5,\"insertText\":\"engines2\",\"preselect\":true},\"engines21\":{\"_info\":{\"label\":\"engines21\",\"kind\":5,\"insertText\":\"engines21\",\"preselect\":true}}}},\"layoutPanel\":{\"_info\":{\"label\":\"layoutPanel?\",\"kind\":5,\"insertText\":\"layoutPanel\",\"preselect\":true}}},\"ctrl\":{\"_info\":{\"label\":\"ctrl\",\"kind\":5,\"insertText\":\"ctrl\",\"preselect\":true},\"model\":{\"_info\":{\"label\":\"model\",\"kind\":5,\"insertText\":\"model\",\"preselect\":true},\"codeName\":{\"_info\":{\"label\":\"codeName\",\"kind\":5,\"insertText\":\"codeName\",\"preselect\":true}}}}}"
            },
            "editorType" : "CODE",
            "maxLength" : 1048576,
            "name" : "field2",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "属性",
          "codeName" : "field",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 2000,
            "name" : "field"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "codeName" : "formitem1",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "formitem1",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "CODEEIDT",
            "name" : "formitem1"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true
        }, {
          "caption" : "属性2",
          "codeName" : "formitem2",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem2",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD2",
            "codeName" : "Field2"
          },
          "getPSEditor" : {
            "editorType" : "TEXTAREA",
            "maxLength" : 1048576,
            "name" : "formitem2",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "属性2",
          "codeName" : "formitem3",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem3",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD2",
            "codeName" : "Field2"
          },
          "getPSEditor" : {
            "editorParams" : {
              "enableEdit" : "true",
              "enableFullScreen" : "true",
              "PROMPT" : "// view，ctrl，uilogic",
              "CODETIPS" : "{\"view\":{\"_info\":{\"label\":\"view\",\"kind\":5,\"insertText\":\"view\",\"preselect\":true},\"engines\":{\"_info\":{\"label\":\"engines\",\"kind\":5,\"insertText\":\"engines\",\"preselect\":true},\"engines1\":{\"_info\":{\"label\":\"engines1\",\"kind\":5,\"insertText\":\"engines1\",\"preselect\":true},\"engines11\":{\"_info\":{\"label\":\"engines11\",\"kind\":5,\"insertText\":\"engines11\",\"preselect\":true},\"engines111\":{\"_info\":{\"label\":\"engines111\",\"kind\":5,\"insertText\":\"engines111\",\"preselect\":true}},\"engines112\":{\"_info\":{\"label\":\"engines112\",\"kind\":5,\"insertText\":\"engines112\",\"preselect\":true}}}},\"engines2\":{\"_info\":{\"label\":\"engines2\",\"kind\":5,\"insertText\":\"engines2\",\"preselect\":true},\"engines21\":{\"_info\":{\"label\":\"engines21\",\"kind\":5,\"insertText\":\"engines21\",\"preselect\":true}}}},\"layoutPanel\":{\"_info\":{\"label\":\"layoutPanel?\",\"kind\":5,\"insertText\":\"layoutPanel\",\"preselect\":true}}},\"ctrl\":{\"_info\":{\"label\":\"ctrl\",\"kind\":5,\"insertText\":\"ctrl\",\"preselect\":true},\"model\":{\"_info\":{\"label\":\"model\",\"kind\":5,\"insertText\":\"model\",\"preselect\":true},\"codeName\":{\"_info\":{\"label\":\"codeName\",\"kind\":5,\"insertText\":\"codeName\",\"preselect\":true}}}}}"
            },
            "editorType" : "CODE",
            "maxLength" : 1048576,
            "name" : "formitem3",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "测试2",
        "codeName" : "tabpage2",
        "detailStyle" : "DEFAULT",
        "detailType" : "TABPAGE",
        "name" : "tabpage2",
        "getPSDEFormDetails" : [ {
          "caption" : "属性9",
          "codeName" : "field9",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 200.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field9",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD9",
            "codeName" : "Field9"
          },
          "getPSEditor" : {
            "editorHeight" : 200.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 1048576,
            "name" : "field9",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "actionGroupExtractMode" : "ITEMS",
      "caption" : "分组测试气泡打开视图",
      "codeName" : "grouppanel1",
      "detailStyle" : "STYLE2",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "caption" : "属性25",
        "codeName" : "field25",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field25",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD25",
          "codeName" : "Field25"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field25"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图b",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "测试气泡打开视图",
      "codeName" : "grouppanel2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel2",
      "getPSDEFormDetails" : [ {
        "caption" : "属性14",
        "codeName" : "field14",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field14",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD14",
          "codeName" : "Field14"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field14"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图b",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "buildInActions" : 2,
      "caption" : "书基本信息1",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEMS",
        "buildInActions" : 7,
        "codeName" : "mdctrl2",
        "contentType" : "REPEATER",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl2",
        "getPSAppDEField" : {
          "name" : "BOOKCHILD2S",
          "codeName" : "Bookchild2s"
        },
        "getPSDEFormDetails" : [ {
          "caption" : "书名称",
          "codeName" : "bookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "bookname",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "bookname"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "属性3",
          "codeName" : "field3",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field3",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field3"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "type"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "日期",
          "codeName" : "field10",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field10",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field10"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "FORM_USERCONTROL",
          "pluginCode" : "REPEATER_FORM"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0123350661",
          "name" : "气泡打开视图界面行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 50,
            "caption" : "气泡打开",
            "detailType" : "DEUIACTION",
            "name" : "u67903cf",
            "getPSUIAction" : {
              "actionLevel" : 50,
              "actionTarget" : "NONE",
              "caption" : "气泡打开",
              "codeName" : "openPopover",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "Book_openPopover",
              "name" : "气泡打开",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openPopover",
              "uIActionType" : "DEUIACTION",
              "id" : "openPopover@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开主数据视图",
            "detailType" : "DEUIACTION",
            "name" : "uf5bd897",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "打开主数据视图",
              "codeName" : "open_main_view",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
                "viewType" : "DEGRIDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "Book_open_main_view",
              "name" : "打开主数据视图",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "open_main_view",
              "uIActionType" : "DEUIACTION",
              "id" : "open_main_view@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "actionLevel" : 50,
            "caption" : "气泡打开视图",
            "detailType" : "DEUIACTION",
            "name" : "udd11136",
            "getPSUIAction" : {
              "actionLevel" : 50,
              "actionTarget" : "NONE",
              "caption" : "气泡打开视图",
              "codeName" : "openPopoverView",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "Book_openPopoverView",
              "name" : "气泡打开视图b",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openPopoverView",
              "uIActionType" : "DEUIACTION",
              "globalUIAction" : true,
              "id" : "openPopoverView@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开数据导出视图",
            "detailType" : "DEUIACTION",
            "name" : "u5cdc0a2",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "打开数据导出视图",
              "codeName" : "frontDataExp",
              "frontProcessType" : "DATAEXP",
              "fullCodeName" : "Book_frontDataExp",
              "name" : "打开数据导出视图",
              "getPSAppDEDataExport" : {
                "modelref" : true,
                "id" : "DataExport"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "frontDataExp",
              "uIActionType" : "DEUIACTION",
              "id" : "frontDataExp@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开HTML界面",
            "detailType" : "DEUIACTION",
            "name" : "u3685053",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "打开HTML界面",
              "codeName" : "OpenHtml",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "Book_OpenHtml",
              "htmlPageUrl" : "https://www.baidu.com",
              "name" : "OpenHtml",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "OpenHtml",
              "uIActionType" : "DEUIACTION",
              "id" : "OpenHtml@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "Book__Usr0123350661"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0812752340",
        "name" : "重复器按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "caption" : "添加节点",
          "detailType" : "DEUIACTION",
          "name" : "ub457aa2",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "添加节点",
            "codeName" : "addNode",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "Book_addNode",
            "name" : "添加节点",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "scriptCode" : "console.log('aaa', arguments)\r\nconst formMDCtrls = view.layoutPanel.panelItems.form.control.formMDCtrls;\r\nif(Array.isArray(formMDCtrls)) {\r\n    const formMDCtrl =formMDCtrls.find(item => item.name === 'mdctrl2');\r\n    if(formMDCtrl) {\r\n        formMDCtrl.create();\r\n    }\r\n}",
            "uIActionMode" : "FRONT",
            "uIActionTag" : "addNode",
            "uIActionType" : "DEUIACTION",
            "id" : "addNode@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0812752340"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionType" : "UIACTION",
      "caption" : "前台打印",
      "codeName" : "button1",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTON",
      "name" : "button1",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "form_button1"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "前台打印",
        "codeName" : "frontPrint",
        "frontProcessType" : "PRINT",
        "fullCodeName" : "Book_frontPrint",
        "name" : "前台打印",
        "getPSAppDEPrint" : {
          "modelref" : true,
          "id" : "Print"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "frontPrint",
        "uIActionType" : "DEUIACTION",
        "id" : "frontPrint@Book"
      },
      "tooltip" : "前台打印",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true
    }, {
      "actionType" : "UIACTION",
      "caption" : "前台打印",
      "codeName" : "button2",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTON",
      "name" : "button2",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "form_button2"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "前台打印",
        "codeName" : "frontPrint",
        "frontProcessType" : "PRINT",
        "fullCodeName" : "Book_frontPrint",
        "name" : "前台打印",
        "getPSAppDEPrint" : {
          "modelref" : true,
          "id" : "Print"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "frontPrint",
        "uIActionType" : "DEUIACTION",
        "id" : "frontPrint@Book"
      },
      "tooltip" : "前台打印",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true
    }, {
      "actionType" : "UIACTION",
      "caption" : "前台打印",
      "codeName" : "button3",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTON",
      "name" : "button3",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "form_button3"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "前台打印",
        "codeName" : "frontPrint",
        "frontProcessType" : "PRINT",
        "fullCodeName" : "Book_frontPrint",
        "name" : "前台打印",
        "getPSAppDEPrint" : {
          "modelref" : true,
          "id" : "Print"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "frontPrint",
        "uIActionType" : "DEUIACTION",
        "id" : "frontPrint@Book"
      },
      "tooltip" : "前台打印",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEMS",
      "codeName" : "buttonlist3",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTONLIST",
      "name" : "buttonlist3",
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0803774731",
        "name" : "门户界面行为组",
        "getPSUIActionGroupDetails" : [ {
          "buttonStyle" : "WARNING",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "detailType" : "DEUIACTION",
          "name" : "u71a8bd4",
          "getPSSysCss" : {
            "cssName" : "crm-editview2-head"
          },
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "getPSUIAction" : {
            "buttonStyle" : "WARNING",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "codeName" : "New",
            "fullCodeName" : "New",
            "name" : "表格界面_新建操作",
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "predefinedType" : "GRIDVIEW_NEWACTION",
            "refreshMode" : 1,
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "New",
            "uIActionType" : "DEUIACTION",
            "reloadData" : true
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "uea72408",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "SUCCESS",
          "caption" : "百度",
          "detailType" : "DEUIACTION",
          "name" : "ubae97f0",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "SUCCESS",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "uee0dcd7",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "INFO",
          "caption" : "树选择取消",
          "detailType" : "DEUIACTION",
          "name" : "u160e609",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "INFO",
            "caption" : "树选择取消",
            "codeName" : "TreePickerCancel",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "TreePickerCancel",
            "name" : "树选择取消",
            "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
            "uIActionMode" : "FRONT",
            "uIActionTag" : "TreePickerCancel",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEMX",
      "codeName" : "buttonlist2",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTONLIST",
      "name" : "buttonlist2",
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0803774731",
        "name" : "门户界面行为组",
        "getPSUIActionGroupDetails" : [ {
          "buttonStyle" : "WARNING",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "detailType" : "DEUIACTION",
          "name" : "u71a8bd4",
          "getPSSysCss" : {
            "cssName" : "crm-editview2-head"
          },
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "getPSUIAction" : {
            "buttonStyle" : "WARNING",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "codeName" : "New",
            "fullCodeName" : "New",
            "name" : "表格界面_新建操作",
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "predefinedType" : "GRIDVIEW_NEWACTION",
            "refreshMode" : 1,
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "New",
            "uIActionType" : "DEUIACTION",
            "reloadData" : true
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "uea72408",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "SUCCESS",
          "caption" : "百度",
          "detailType" : "DEUIACTION",
          "name" : "ubae97f0",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "SUCCESS",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "uee0dcd7",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "INFO",
          "caption" : "树选择取消",
          "detailType" : "DEUIACTION",
          "name" : "u160e609",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "INFO",
            "caption" : "树选择取消",
            "codeName" : "TreePickerCancel",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "TreePickerCancel",
            "name" : "树选择取消",
            "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
            "uIActionMode" : "FRONT",
            "uIActionTag" : "TreePickerCancel",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "codeName" : "buttonlist1",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTONLIST",
      "name" : "buttonlist1",
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0803774731",
        "name" : "门户界面行为组",
        "getPSUIActionGroupDetails" : [ {
          "buttonStyle" : "WARNING",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "detailType" : "DEUIACTION",
          "name" : "u71a8bd4",
          "getPSSysCss" : {
            "cssName" : "crm-editview2-head"
          },
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "getPSUIAction" : {
            "buttonStyle" : "WARNING",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "codeName" : "New",
            "fullCodeName" : "New",
            "name" : "表格界面_新建操作",
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "predefinedType" : "GRIDVIEW_NEWACTION",
            "refreshMode" : 1,
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "New",
            "uIActionType" : "DEUIACTION",
            "reloadData" : true
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "uea72408",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "SUCCESS",
          "caption" : "百度",
          "detailType" : "DEUIACTION",
          "name" : "ubae97f0",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "SUCCESS",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "uee0dcd7",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "INFO",
          "caption" : "树选择取消",
          "detailType" : "DEUIACTION",
          "name" : "u160e609",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "INFO",
            "caption" : "树选择取消",
            "codeName" : "TreePickerCancel",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "TreePickerCancel",
            "name" : "树选择取消",
            "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
            "uIActionMode" : "FRONT",
            "uIActionTag" : "TreePickerCancel",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "showCaption" : true
    }, {
      "caption" : "书标识",
      "codeName" : "bookid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bookid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "bookid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "codeName" : "tabpanel2",
      "detailStyle" : "STYLE2",
      "detailType" : "TABPANEL",
      "name" : "tabpanel2",
      "getPSDEFormTabPages" : [ {
        "caption" : "测试1",
        "codeName" : "tabpage3",
        "detailStyle" : "DEFAULT",
        "detailType" : "TABPAGE",
        "name" : "tabpage3",
        "getPSDEFormDetails" : [ {
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD11",
            "codeName" : "Field11"
          },
          "getPSEditor" : {
            "editorParams" : {
              "USERINSCRIPT" : "value.replaceAll(/\\@\\{\\\"(user)?id\\\":\\\"(.+?)\\\",\\\"name\\\":\\\"(.+?)\\\"\\}/g,(x, user, id, name) => {return controller.getNodeInfo({ id, name })}).replaceAll(/\\@\\{userid=(.+?),name=(.+?)\\}/g,(x, id, name) => {return controller.getNodeInfo({ id, name })})",
              "MAXHEIGHT" : "450",
              "QUOTECODELISTMAP" : "{\"type\":\"trainsys.follow_state\"}",
              "enableEdit" : "true",
              "QUOTEFIELDMAP" : "{\"identifier\":\"show_identifier\",\"name\":\"name\",\"id\":\"id\",\"type\":\"owner_subtype\"}",
              "QUOTEPARAMS" : "{\"page\":0,\"size\":20,\"sort\":\"update_time,desc\"}",
              "enableFullScreen" : "true",
              "MODE" : "default",
              "QUOTEINSCRIPT" : "value.replaceAll(/\\#\\{\\\"id\\\":\\\"(.+?)\\\",\\\"name\\\":\\\"(.+?)\\\",\\\"identifier\\\":\\\"(.+?)\\\",\\\"icon\\\":\\\"((.|[\\t\\r\\f\\n\\s])+?)\\\"\\}/g,(x, id, name, identifier, icon) => {return controller.getNodeInfo({ id, name, identifier, icon })}).replaceAll(/\\#\\{id=(.+?),name=(.+?),identifier=(.+?),icon=((.|[\\t\\r\\f\\n\\s])+?)\\}/g,(x, id, name, identifier, icon) => {return controller.getNodeInfo({ id, name, identifier, icon })})",
              "USERSCRIPT" : "`@{\"id\":\"${data.id}\",\"name\":\"${data.name}\"}`",
              "QUOTESCRIPT" : "`#{\"id\":\"${data.id}\",\"name\":\"${data.name}\",\"identifier\":\"${data.identifier}\",\"icon\":\"${data.icon}\"}`",
              "USERURL" : "`${context.library ? `libraries/${context.library}/library_members/fetch_default` : context.product ? `products/${context.product}/product_members/fetch_default` : context.project ? `projects/${context.project}/project_members/fetch_default` : ''}`",
              "USERFIELDMAP" : "{\"id\":\"user_id\",\"name\":\"name\"}",
              "INSERTKEYS" : "[{\"index\":66,\"keys\":[\"marker\"]},{\"index\":5,\"keys\":[\"paintformat\"]}]",
              "QUOTEURL" : "`recents/fetch_recent_access`"
            },
            "editorStyle" : "COLLAPSE",
            "editorType" : "HTMLEDITOR",
            "name" : "createman",
            "getPSSysPFPlugin" : {
              "pluginType" : "EDITOR_CUSTOMSTYLE",
              "pluginCode" : "COMMENT",
              "runtimeObject" : true
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "测试2",
        "codeName" : "tabpage4",
        "detailStyle" : "DEFAULT",
        "detailType" : "TABPAGE",
        "name" : "tabpage4",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "测试内容",
      "codeName" : "grouppanel3",
      "detailStyle" : "STYLE2",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel3",
      "getPSDEFormDetails" : [ {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD12",
          "codeName" : "Field12"
        },
        "getPSEditor" : {
          "editorParams" : {
            "USERINSCRIPT" : "value.replaceAll(/\\@\\{\\\"(user)?id\\\":\\\"(.+?)\\\",\\\"name\\\":\\\"(.+?)\\\"\\}/g,(x, user, id, name) => {return controller.getNodeInfo({ id, name })}).replaceAll(/\\@\\{userid=(.+?),name=(.+?)\\}/g,(x, id, name) => {return controller.getNodeInfo({ id, name })})",
            "MAXHEIGHT" : "450",
            "QUOTECODELISTMAP" : "{\"type\":\"trainsys.follow_state\"}",
            "enableEdit" : "true",
            "QUOTEFIELDMAP" : "{\"identifier\":\"show_identifier\",\"name\":\"name\",\"id\":\"id\",\"type\":\"owner_subtype\"}",
            "QUOTEPARAMS" : "{\"page\":0,\"size\":20,\"sort\":\"update_time,desc\"}",
            "enableFullScreen" : "true",
            "MODE" : "default",
            "QUOTEINSCRIPT" : "value.replaceAll(/\\#\\{\\\"id\\\":\\\"(.+?)\\\",\\\"name\\\":\\\"(.+?)\\\",\\\"identifier\\\":\\\"(.+?)\\\",\\\"icon\\\":\\\"((.|[\\t\\r\\f\\n\\s])+?)\\\"\\}/g,(x, id, name, identifier, icon) => {return controller.getNodeInfo({ id, name, identifier, icon })}).replaceAll(/\\#\\{id=(.+?),name=(.+?),identifier=(.+?),icon=((.|[\\t\\r\\f\\n\\s])+?)\\}/g,(x, id, name, identifier, icon) => {return controller.getNodeInfo({ id, name, identifier, icon })})",
            "USERSCRIPT" : "`@{\"id\":\"${data.id}\",\"name\":\"${data.name}\"}`",
            "QUOTESCRIPT" : "`#{\"id\":\"${data.id}\",\"name\":\"${data.name}\",\"identifier\":\"${data.identifier}\",\"icon\":\"${data.icon}\"}`",
            "USERURL" : "`${context.library ? `libraries/${context.library}/library_members/fetch_default` : context.product ? `products/${context.product}/product_members/fetch_default` : context.project ? `projects/${context.project}/project_members/fetch_default` : ''}`",
            "USERFIELDMAP" : "{\"id\":\"user_id\",\"name\":\"name\"}",
            "INSERTKEYS" : "[{\"index\":66,\"keys\":[\"marker\"]},{\"index\":5,\"keys\":[\"paintformat\"]}]",
            "QUOTEURL" : "`recents/fetch_recent_access`"
          },
          "editorStyle" : "COLLAPSE",
          "editorType" : "HTMLEDITOR",
          "name" : "updateman",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "COMMENT",
            "runtimeObject" : true
          }
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "noTabHeader" : false,
  "modelid" : "2D7E6C5B-F46D-4C59-AEB4-9B5186CC536D",
  "modeltype" : "PSDEFORM_EDITFORM"
}